MCCLOCK(4)

NAME
mcclock - MC146816, DS1287, and compatibles real-time clock

SYNOPSIS

  algor
mcclock* at isa? port 0x70

  alpha
mcclock* at gbus? offset ?
mcclock* at ioasic? offset ?
mcclock* at isa? port 0x70
mcclock* at jensenio? port ?

  arc
mcclock* at jazzio?

  cobalt
mcclock0 at mainbus? addr 0x10000070

  evbmips
mcclock* at isa? port 0x70

  pmax
mcclock* at ibus0 addr ?
mcclock* at ioasic? offset ?

  sgimips
mcclock* at mace0 offset 0x3a0000

  shark
mcclock* at ofisa?

  sparc64
rtc* at ebus?

DESCRIPTION
The mcclock driver provides support for the MC146818, DS1287 and compatibles real-time clock (RTC). Note, that the kernel expects the RTC to run in UTC.

SEE ALSO
intro(4), ebus(4), ioasic(4), isa(4)